Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Service_Object Class Reference

Provide the abstract base class common to all service implementations. More...

`#include <Service_Object.h>`

Inheritance diagram for ACE_Service_Object:

[legend]
Collaboration diagram for ACE_Service_Object:

[legend]
List of all members.

## Public Member Functions
| ACE_Service_Object (ACE_Reactor *=0)
| Constructor.
virtual | ~ACE_Service_Object (void)
| Destructor.
virtual int | suspend (void)
| Temporarily disable a service without removing it completely.
virtual int | resume (void)
| Re-enable a previously suspended service.

## Detailed Description

Provide the abstract base class common to all service implementations.

Classes that inherit from <ace_service_objects> are capable of being registered with the ACE_Reactor (due to the ACE_Event_Handler, as well as being dynamically linked by the ACE_Service_Config (due to the <ace_shared_object>).

## Constructor & Destructor Documentation

ACE_Service_Object::ACE_Service_Object | ( | ACE_Reactor * | = `0` | ) |

| Constructor.

ACE_Service_Object::~ACE_Service_Object | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Service_Object::resume | ( | void |  | ) | `[virtual]`

| Re-enable a previously suspended service. Reimplemented in ACE_Acceptor< SVC_HANDLER, >, ACE_Strategy_Acceptor< SVC_HANDLER, >, ACE_Oneshot_Acceptor< SVC_HANDLER, >, ACE_Connector< SVC_HANDLER, >, ACE_Service_Manager, ACE_Task_Base, ACE_Acceptor< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 >, and ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >.

int ACE_Service_Object::suspend | ( | void |  | ) | `[virtual]`

| Temporarily disable a service without removing it completely. Reimplemented in ACE_Acceptor< SVC_HANDLER, >, ACE_Strategy_Acceptor< SVC_HANDLER, >, ACE_Oneshot_Acceptor< SVC_HANDLER, >, ACE_Connector< SVC_HANDLER, >, ACE_Service_Manager, ACE_Task_Base, ACE_Acceptor< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 >, and ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >.

The documentation for this class was generated from the following files:

- Service_Object.h
- Service_Object.cpp